
import processing.serial.*;


Serial myPort;  // Create object from Serial class
String val = "in";     // Data received from the serial port
String myText="";
int val_tilting = 0;
int rectX, rectY;      // Position of square button
int rectSize = 90;     // Diameter of rect
color rectColor, baseColor, rectHighlight, currentColor;

void setup()
{

  //String portName = Serial.list()[2]; //change the 0 to a 1 or 2 etc. to match your port
  myPort = new Serial(this, "/dev/cu.usbserial-FT94TKFS", 9600);
  myPort.bufferUntil('n');
  size(640,360);
  rectColor = color(100,175,55);
  baseColor = color(100,225,170);
  rectHighlight = color(225,50,125);
  currentColor = baseColor;
  rectX = width/2-rectSize-10;
  rectY = height/2-rectSize/2;
  ellipseMode(CENTER);

}

void draw(){
  
  if ( myPort.available() > 0){
  val = myPort.readStringUntil('\n');
  val = trim(val);
  fill(rectHighlight);
  myText="Fault";
  delay(2500);
  
  if (val == null){ // if no value
  } else { //if not empty
    val_tilting = Integer.parseInt(val);
  }
}
  println(val_tilting);
  background(currentColor);
  text(myText, 250, 250);
  myText="Game In Progress";
  stroke(175);
  rect(rectX, rectY, rectSize, rectSize);
}

void serialEvent (Serial myPort){
  myText = myPort.readStringUntil('n');
  
}
 
